
\name{
"[.GnumericSheetRef"
}

\alias{
"[.GnumericSheetRef"
}

\alias{
"[[.GnumericSheetRef"
}

\alias{
"[<-.GnumericSheetRef"
}

\alias{
"[.GnumericWorkbookRef"
}

\title{
Access values of one or more cells in a Gnumeric worksheet.
}

\description{
 

These functions allow one to get or set the values of one or more
cells in a Gnumeric worksheet using the usual subsetting and
assignment operations in R.  These use the overloaded

\code{\link{[}}
 and 
\code{\link{[<-}}

operator methods to provide direct access to the Gnumeric worksheet.
 

}

\usage{
"[.GnumericSheetRef"
(
x
,
...
)

"[[.GnumericSheetRef"
(
x
,
i
,
j
)

"[<-.GnumericSheetRef"
(
x
,
r
= 
integer(0)
,
c
= 
integer(0)
,
value
,
byrow
= 
T
)

"[.GnumericWorkbookRef"
(
x
,
...
)
}

\arguments{
 \item{
x
}{
   
The GnumericSheetRef
object whose contents are to be accessed.
This is usuall obtained as the 
value of the .sheet argument of
an R-Gnumeric function.


 }

 \item{
...
}{
   
identifiers specifying the
cell or element in the workbook.
In the case of a GnumericWorkbookRef,
this identifies one or more worksheets
by name or index.
For GnumericSheetRef,
these identify one or more cells in the same
way that regions in a matrix are identified.


 }

 \item{
i
}{
   
the index of the row
which, along with the j,
identifies a unique cell.

 }

 \item{
j
}{
   
the name or index of the column
which, along with the i,
identifies a unique cell.

 }

 \item{
r
}{
   
one or more row identifiers,
specified as integers.

 }

 \item{
c
}{
   
one or more column identifiers,
specified as integers or strings,
which should be names of 
the column headers.

 }

 \item{
value
}{
   
the value to assign to the
one or more cells identified in
the left-hand side of the assignment.
If the value of this argument is a matrix,
the values are assigned into the cells
identified by the left-hand side
or if that is a single cell, 
into the region containing
that cell as the top-left corner
and extending to the dimensions
of the right hand side.
This tries to be similar to matrix
assignment in regular S.

 }

 \item{
byrow
}{
   
a logical value indicating whether
the values are to be inserted
row-wise or column-wise
when multiple cells are involved
in the assignment.

 }
}

\value{}

\references{}

\author{
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{
\code{\link{}}

\url{}
}

\examples{
   
}

\keyword{ 
interface
}
