
\name{
names.GnumericWorkbookRef
}

\alias{
names.GnumericWorkbookRef
}

\alias{
length.GnumericWorkbookRef
}

\title{
Query Gnumeric workbook contents
}

\description{
 
These two functions allow one 
to query the contents of the Gnumeric workbook,
specifically the number and the names of the
different sheets within the workbook.

}

\usage{
names.GnumericWorkbookRef
(
x
)

length.GnumericWorkbookRef
(
x
)
}

\arguments{
 \item{
x


The reference to the Gnumeric workbook, which is an object of class
GnumericWorkbookRef.

}{
   
 }
}

\details{
These use the internal reference to the C-level
workbook.
}

\value{}

\references{}

\author{
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{names[[.GnumericWorkbookRef[.GnumericWorkbookRef}

\examples{
   
This tests to see if there is already a sheet named
"foo" and if so, obtains a reference to it.
Otherwise, it creates and adds a new sheet to the workbook
with that name.

 function(.sheet) 
  book <- getNumericWorkbook(.sheet)
  if(is.na(match("foo", names(book)))) {
    sheet <- newSheet("foo", .sheet, FALSE)
  } else
    sheet <- book[["foo"]]

}

\keyword{ 
interface
}
