
\name{
gnumeric.hasSheetArgument
}

\alias{
gnumeric.hasSheetArgument
}

\title{
Determines if function expects .sheet argument.
}

\description{
 
This is an internal function used by the C code to
determine if the S function being called from Gnumeric
expects a .sheet argument.
If the definition of the function has an argument with
this name, the current Gnumeric sheet from which the S
function is being called is passed as the value of
that argument.

}

\usage{
gnumeric.hasSheetArgument
(
func
)
}

\arguments{
 \item{
func
}{
   
The S function object that is about to be called from
Gnumeric.
and whose argument list is to be checked for the name
.sheet.  This is not the name of the function, but
the function object itself. It is retrieved internally by the internal
code that effects the interface from Gnumeric to S.

 }
}

\details{
This is used internally and is not if much interest
to the user. This approach effectively makes .sheet
a reserved word.
}

\value{}

\references{}

\author{Duncan Temple Langduncan@research.bell-labs.com
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{
\code{\link{gnumeric.registerFunction}}
}

\examples{
   
}

\keyword{ 
spreadsheet
}

\keyword{ 
inter-system interface
}
